Solid Edge Part Type Library
LastSavedVersion Property
Description
Returns the version of Solid Edge that was used the last time the referenced document was saved.
Property type
Read-only property
Syntax
Visual Basic
Public Property LastSavedVersion As String
Remarks
If the referenced document has not been saved, reading the LastSavedVersion property causes an error.
Example
Private Sub Form_Load()
    Dim objApp As SolidEdgeFrameWork.Application
    Dim objDoc As SolidEdgePart.PartDocument
    Const TESTFILE = "T:\vbtests\testcases\cube.par"
    Dim strLastSavedVersion As String
    ' Report errors
    Const PI = 3.14159265358979
    ' Create/get the application with specific settings
    On Error Resume Next
    Set objApp = GetObject(, "SolidEdge.Application")
    If Err Then
        Err.Clear
        Set objApp = CreateObject("SolidEdge.Application")
        Set objDoc = objApp.Documents.Add("SolidEdge.PartDocument")
        objApp.Visible = True
    Else
        Set objDoc = objApp.ActiveDocument
    End If
    On Error GoTo 0
    Call objDoc.Close
    ' opening the test case file
    Set objDoc = objApp.Documents.Open(TESTFILE)
    strLastSavedVersion = objDoc.LastSavedVersion
    ' USER DISPLAY
    ' Release objects
    Set objApp = Nothing
    Set objDoc = Nothing
End Sub
See Also

PartDocument Object  | PartDocument Members